<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"><html xmlns="http://www.w3.org/1999/xhtml"><head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.20"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<a class="dashingAutolink" name="autolink-717"></a><a class="dashAnchor" name="//apple_ref/cpp/Package/XHXKit%3A%20XHXSafeData%E7%B1%BB%20%E5%8F%82%E8%80%83"></a><title>XHXKit: XHXSafeData类 参考</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">XHXKit
   &nbsp;<span id="projectnumber">4.10.0.12</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- 制作者 Doxygen 1.8.20 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'搜索');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','搜索');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('interface_x_h_x_safe_data.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow" onmouseover="return searchBox.OnSearchSelectShow()" onmouseout="return searchBox.OnSearchSelectHide()" onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">构造函数</a> |
<a href="#properties">属性</a> |
<a href="interface_x_h_x_safe_data-members.html">所有成员列表</a>  </div>
  <div class="headertitle">
<div class="title">XHXSafeData类 参考</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#import &lt;<a class="el" href="_x_h_x_safe_data_8h_source.html">XHXSafeData.h</a>&gt;</code></p>
<div class="dynheader">
类 XHXSafeData 继承关系图:</div>
<div class="dyncontent">
 <div class="center">
  <img src="interface_x_h_x_safe_data.png" alt=""/>
 </div></div>
<table class="memberdecls">
<tbody><tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
构造函数</h2></td></tr>
<tr class="memitem:ab7d1019317c7ce8b0cbf2328affdaf24"><td class="memItemLeft" align="right" valign="top">(instancetype)&nbsp;</td><td class="memItemRight" valign="bottom">- <a class="el" href="interface_x_h_x_safe_data.html#ab7d1019317c7ce8b0cbf2328affdaf24">initWithDataArray:</a></td></tr>
<tr class="separator:ab7d1019317c7ce8b0cbf2328affdaf24"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:abdb228de4960b8500866da72262fe210"><td class="memItemLeft" align="right" valign="top">(void)&nbsp;</td><td class="memItemRight" valign="bottom">- <a class="el" href="interface_x_h_x_safe_data.html#abdb228de4960b8500866da72262fe210">insertItem:refreshUI:</a></td></tr>
<tr class="separator:abdb228de4960b8500866da72262fe210"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:ae83a338d9ebd697a0f9b93ab653f62a5"><td class="memItemLeft" align="right" valign="top">(void)&nbsp;</td><td class="memItemRight" valign="bottom">- <a class="el" href="interface_x_h_x_safe_data.html#ae83a338d9ebd697a0f9b93ab653f62a5">insertItem:atIndex:refreshUI:</a></td></tr>
<tr class="separator:ae83a338d9ebd697a0f9b93ab653f62a5"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:a77f22d947a4d2ca61ef87aba889d2f9e"><td class="memItemLeft" align="right" valign="top">(void)&nbsp;</td><td class="memItemRight" valign="bottom">- <a class="el" href="interface_x_h_x_safe_data.html#a77f22d947a4d2ca61ef87aba889d2f9e">insertItems:refreshUI:</a></td></tr>
<tr class="separator:a77f22d947a4d2ca61ef87aba889d2f9e"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:a7d379aed91719926c0807adaca366d27"><td class="memItemLeft" align="right" valign="top">(void)&nbsp;</td><td class="memItemRight" valign="bottom">- <a class="el" href="interface_x_h_x_safe_data.html#a7d379aed91719926c0807adaca366d27">insertItems:atIndexs:refreshUI:</a></td></tr>
<tr class="separator:a7d379aed91719926c0807adaca366d27"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:a11f45fa42d09c23026067b8f1394e981"><td class="memItemLeft" align="right" valign="top">(void)&nbsp;</td><td class="memItemRight" valign="bottom">- <a class="el" href="interface_x_h_x_safe_data.html#a11f45fa42d09c23026067b8f1394e981">removeItemAtIndex:refreshUI:</a></td></tr>
<tr class="separator:a11f45fa42d09c23026067b8f1394e981"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:ad2a6b5029c69fd341ac43a7fadc5eb22"><td class="memItemLeft" align="right" valign="top">(void)&nbsp;</td><td class="memItemRight" valign="bottom">- <a class="el" href="interface_x_h_x_safe_data.html#ad2a6b5029c69fd341ac43a7fadc5eb22">removeItemsAtIndexs:refreshUI:</a></td></tr>
<tr class="separator:ad2a6b5029c69fd341ac43a7fadc5eb22"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:a3d38dec500e7dd89fd6f211778b01980"><td class="memItemLeft" align="right" valign="top">(void)&nbsp;</td><td class="memItemRight" valign="bottom">- <a class="el" href="interface_x_h_x_safe_data.html#a3d38dec500e7dd89fd6f211778b01980">moveItemAtIndex:toIndex:refreshUI:</a></td></tr>
<tr class="separator:a3d38dec500e7dd89fd6f211778b01980"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:a48fcde35d929039c31b88e800d6ed68f"><td class="memItemLeft" align="right" valign="top">(void)&nbsp;</td><td class="memItemRight" valign="bottom">- <a class="el" href="interface_x_h_x_safe_data.html#a48fcde35d929039c31b88e800d6ed68f">resetDataArray:refreshUI:</a></td></tr>
<tr class="separator:a48fcde35d929039c31b88e800d6ed68f"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
</tbody></table><table class="memberdecls">
<tbody><tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="properties"></a>
属性</h2></td></tr>
<tr class="memitem:ac9670bffc7b63952216a3e3be714c876"><td class="memItemLeft" align="right" valign="top">id&lt; <a class="el" href="protocol_x_h_x_safe_data_delegate-p.html">XHXSafeDataDelegate</a> &gt;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_x_h_x_safe_data.html#ac9670bffc7b63952216a3e3be714c876">delegate</a></td></tr>
<tr class="separator:ac9670bffc7b63952216a3e3be714c876"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
</tbody></table>
<h2 class="groupheader">函数文档</h2>
<a id="ab7d1019317c7ce8b0cbf2328affdaf24"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab7d1019317c7ce8b0cbf2328affdaf24">◆&nbsp;</a></span>initWithDataArray:</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tbody><tr>
          <td class="memname">- (instancetype) initWithDataArray: </td>
          <td></td>
          <td class="paramtype">(NSArray * __nullable)&nbsp;</td>
          <td class="paramname"><em>dataArray</em></td>
          <td></td>
        </tr>
      </tbody></table>
</div><div class="memdoc">

</div>
</div>
<a id="ae83a338d9ebd697a0f9b93ab653f62a5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae83a338d9ebd697a0f9b93ab653f62a5">◆&nbsp;</a></span>insertItem:atIndex:refreshUI:</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tbody><tr>
          <td class="memname">- (void) insertItem: </td>
          <td></td>
          <td class="paramtype">(id)&nbsp;</td>
          <td class="paramname"><em>item</em></td>
        </tr>
        <tr>
          <td class="paramkey">atIndex:</td>
          <td></td>
          <td class="paramtype">(NSUInteger)&nbsp;</td>
          <td class="paramname"><em>index</em></td>
        </tr>
        <tr>
          <td class="paramkey">refreshUI:</td>
          <td></td>
          <td class="paramtype">(void(^ __nullable)(<a class="el" href="interface_x_h_x_safe_data_model.html">XHXSafeDataModel</a> *model))&nbsp;</td>
          <td class="paramname"><em>refreshUI</em>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td></td>
          <td></td><td></td>
        </tr>
      </tbody></table>
</div><div class="memdoc">

</div>
</div>
<a id="abdb228de4960b8500866da72262fe210"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abdb228de4960b8500866da72262fe210">◆&nbsp;</a></span>insertItem:refreshUI:</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tbody><tr>
          <td class="memname">- (void) insertItem: </td>
          <td></td>
          <td class="paramtype">(id)&nbsp;</td>
          <td class="paramname"><em>item</em></td>
        </tr>
        <tr>
          <td class="paramkey">refreshUI:</td>
          <td></td>
          <td class="paramtype">(void(^ __nullable)(<a class="el" href="interface_x_h_x_safe_data_model.html">XHXSafeDataModel</a> *model))&nbsp;</td>
          <td class="paramname"><em>refreshUI</em>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td></td>
          <td></td><td></td>
        </tr>
      </tbody></table>
</div><div class="memdoc">

</div>
</div>
<a id="a7d379aed91719926c0807adaca366d27"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7d379aed91719926c0807adaca366d27">◆&nbsp;</a></span>insertItems:atIndexs:refreshUI:</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tbody><tr>
          <td class="memname">- (void) insertItems: </td>
          <td></td>
          <td class="paramtype">(NSArray *)&nbsp;</td>
          <td class="paramname"><em>items</em></td>
        </tr>
        <tr>
          <td class="paramkey">atIndexs:</td>
          <td></td>
          <td class="paramtype">(NSIndexSet *)&nbsp;</td>
          <td class="paramname"><em>indexs</em></td>
        </tr>
        <tr>
          <td class="paramkey">refreshUI:</td>
          <td></td>
          <td class="paramtype">(void(^ __nullable)(<a class="el" href="interface_x_h_x_safe_data_model.html">XHXSafeDataModel</a> *model))&nbsp;</td>
          <td class="paramname"><em>refreshUI</em>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td></td>
          <td></td><td></td>
        </tr>
      </tbody></table>
</div><div class="memdoc">

</div>
</div>
<a id="a77f22d947a4d2ca61ef87aba889d2f9e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a77f22d947a4d2ca61ef87aba889d2f9e">◆&nbsp;</a></span>insertItems:refreshUI:</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tbody><tr>
          <td class="memname">- (void) insertItems: </td>
          <td></td>
          <td class="paramtype">(NSArray *)&nbsp;</td>
          <td class="paramname"><em>items</em></td>
        </tr>
        <tr>
          <td class="paramkey">refreshUI:</td>
          <td></td>
          <td class="paramtype">(void(^ __nullable)(<a class="el" href="interface_x_h_x_safe_data_model.html">XHXSafeDataModel</a> *model))&nbsp;</td>
          <td class="paramname"><em>refreshUI</em>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td></td>
          <td></td><td></td>
        </tr>
      </tbody></table>
</div><div class="memdoc">

</div>
</div>
<a id="a3d38dec500e7dd89fd6f211778b01980"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3d38dec500e7dd89fd6f211778b01980">◆&nbsp;</a></span>moveItemAtIndex:toIndex:refreshUI:</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tbody><tr>
          <td class="memname">- (void) moveItemAtIndex: </td>
          <td></td>
          <td class="paramtype">(NSUInteger)&nbsp;</td>
          <td class="paramname"><em>index</em></td>
        </tr>
        <tr>
          <td class="paramkey">toIndex:</td>
          <td></td>
          <td class="paramtype">(NSUInteger)&nbsp;</td>
          <td class="paramname"><em>toIndex</em></td>
        </tr>
        <tr>
          <td class="paramkey">refreshUI:</td>
          <td></td>
          <td class="paramtype">(void(^ __nullable)(<a class="el" href="interface_x_h_x_safe_data_model.html">XHXSafeDataModel</a> *model))&nbsp;</td>
          <td class="paramname"><em>refreshUI</em>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td></td>
          <td></td><td></td>
        </tr>
      </tbody></table>
</div><div class="memdoc">

</div>
</div>
<a id="a11f45fa42d09c23026067b8f1394e981"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a11f45fa42d09c23026067b8f1394e981">◆&nbsp;</a></span>removeItemAtIndex:refreshUI:</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tbody><tr>
          <td class="memname">- (void) removeItemAtIndex: </td>
          <td></td>
          <td class="paramtype">(NSUInteger)&nbsp;</td>
          <td class="paramname"><em>index</em></td>
        </tr>
        <tr>
          <td class="paramkey">refreshUI:</td>
          <td></td>
          <td class="paramtype">(void(^ __nullable)(<a class="el" href="interface_x_h_x_safe_data_model.html">XHXSafeDataModel</a> *model))&nbsp;</td>
          <td class="paramname"><em>refreshUI</em>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td></td>
          <td></td><td></td>
        </tr>
      </tbody></table>
</div><div class="memdoc">

</div>
</div>
<a id="ad2a6b5029c69fd341ac43a7fadc5eb22"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad2a6b5029c69fd341ac43a7fadc5eb22">◆&nbsp;</a></span>removeItemsAtIndexs:refreshUI:</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tbody><tr>
          <td class="memname">- (void) removeItemsAtIndexs: </td>
          <td></td>
          <td class="paramtype">(NSIndexSet *)&nbsp;</td>
          <td class="paramname"><em>indexs</em></td>
        </tr>
        <tr>
          <td class="paramkey">refreshUI:</td>
          <td></td>
          <td class="paramtype">(void(^ __nullable)(<a class="el" href="interface_x_h_x_safe_data_model.html">XHXSafeDataModel</a> *model))&nbsp;</td>
          <td class="paramname"><em>refreshUI</em>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td></td>
          <td></td><td></td>
        </tr>
      </tbody></table>
</div><div class="memdoc">

</div>
</div>
<a id="a48fcde35d929039c31b88e800d6ed68f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a48fcde35d929039c31b88e800d6ed68f">◆&nbsp;</a></span>resetDataArray:refreshUI:</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tbody><tr>
          <td class="memname">- (void) resetDataArray: </td>
          <td></td>
          <td class="paramtype">(NSArray *)&nbsp;</td>
          <td class="paramname"><em>dataArray</em></td>
        </tr>
        <tr>
          <td class="paramkey">refreshUI:</td>
          <td></td>
          <td class="paramtype">(void(^ __nullable)(<a class="el" href="interface_x_h_x_safe_data_model.html">XHXSafeDataModel</a> *model))&nbsp;</td>
          <td class="paramname"><em>refreshUI</em>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td></td>
          <td></td><td></td>
        </tr>
      </tbody></table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">属性说明</h2>
<a id="ac9670bffc7b63952216a3e3be714c876"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac9670bffc7b63952216a3e3be714c876">◆&nbsp;</a></span>delegate</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tbody><tr>
  <td class="mlabels-left">
      <table class="memname">
        <tbody><tr>
          <td class="memname">- (id&lt;<a class="el" href="protocol_x_h_x_safe_data_delegate-p.html">XHXSafeDataDelegate</a>&gt;) delegate</td>
        </tr>
      </tbody></table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">write</span><span class="mlabel">nonatomic</span><span class="mlabel">weak</span></span>  </td>
  </tr>
</tbody></table>
</div><div class="memdoc">

</div>
</div>
<hr/>该类的文档由以下文件生成:<ul>
<li>/Users/scar1900/Developer/XHXKit/XHXKit/Classes/XHXSafeData/<a class="el" href="_x_h_x_safe_data_8h_source.html">XHXSafeData.h</a></li>
<li>/Users/scar1900/Developer/XHXKit/XHXKit/Classes/XHXSafeData/<a class="el" href="_x_h_x_safe_data_8m.html">XHXSafeData.m</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="interface_x_h_x_safe_data.html">XHXSafeData</a></li>
    <li class="footer">制作者 <a href="http://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.8.20 </li>
  </ul>
</div>


</body></html>